Clone
 

nicolas lalevée <nicolas.lalevee@hibnet.org> in ant-ivyde

make the test project 'retrieved-classpath' actualy configured to retrieve dependencies

ignore retrieved jars in test project

    • -0
    • +1
    /test/retrieve-root/.gitignore
fix the retreieve-var test project

    • -0
    • +1
    /test/retrieve-var/lib/.gitignore
Do not use absolute path, so it resolve properly everywhere

make the fake jars of the tests actual jars

Make the action 'Remove Ivy dependency management' work on a container too

Update build dependencies to a downloadable version of Eclipse WTP

Restore the gathering of artifacts on resolve

Keep IvyDE compatible with Ivy 2.1, as stated on the doc.

    • -1
    • +1
    /org.apache.ivyde.eclipse.resolvevisualizer.feature/feature.xml
    • -1
    • +1
    /org.apache.ivyde.eclipse.resolvevisualizer/META-INF/MANIFEST.MF
doc: add a macro to make simpler links to Jira

    • -0
    • +40
    /doc/extensions/src/org/apache/ivy/asciidoc/JiraMacro.java
IvyDE now requires Java 7 and Eclipse 4.3

    • -1
    • +1
    /org.apache.ivyde.eclipse.resolvevisualizer/.classpath
    • -4
    • +9
    /org.apache.ivyde.eclipse.resolvevisualizer/.settings/org.eclipse.jdt.core.prefs
    • -27
    • +28
    /org.apache.ivyde.eclipse/.classpath
    • -4
    • +9
    /org.apache.ivyde.eclipse/.settings/org.eclipse.jdt.core.prefs
Update the release notes for the new Security panel

Add the new doc about security in the toc.json

    • -0
    • +88
    /doc/src/security.adoc
This closes #6

Merge branch 'master' into ivyDECredentials-cleaned

try to fix the checksum check (might be sensitive to the file name case)

set better download base url

update build dependencies, and reenable the build of the resolve vizualizer

ignore generated artifacts

the resolve visualizer is not built, so don't package it

fix the generation of the doc

Use a less recent Eclipse, which doesn't require Java 8

disable the build of the resolve vizualizer because for some reason the zest plugins are not properly found by the build

Use a newer Eclipse to build IvyDE

It was not working with Java 8 on MacOS X and with the Eclipse 3.7 because of some lookup for a 'Classes' folder in the JDK which doesn't exist

cleanup the css

fix the path of the images in the book

put every doc related files in the doc folder

  1. … 247 more files in changeset.
Generate the book.html, and fix the title levels

    • -0
    • +53
    /asciidoc/templates/book/document.html.slim
    • -0
    • +45
    /asciidoc/templates/eclipse/document.html.slim
    • -0
    • +20
    /asciidoc/templates/eclipse/helpers.rb
doc: better links to the Apache license

    • -1
    • +1
    /asciidoc/templates/document.html.slim
Migrate all the doc from xooki to asciidoc

    • -0
    • +36
    /asciidoc/compatibility.adoc
    • -0
    • +40
    /asciidoc/console.adoc
    • -0
    • +31
    /asciidoc/cp_container.adoc
    • -0
    • +29
    /asciidoc/cpc/cleancache.adoc
    • -0
    • +50
    /asciidoc/cpc/create.adoc
    • -0
    • +33
    /asciidoc/cpc/edit.adoc
    • -0
    • +87
    /asciidoc/cpc/jarmapping.adoc
    • -0
    • +58
    /asciidoc/cpc/launch.adoc
    • -0
    • +100
    /asciidoc/cpc/maven.adoc
    • -0
    • +41
    /asciidoc/cpc/resolve.adoc
    • -0
    • +31
    /asciidoc/cpc/retrieve.adoc
    • -0
    • +64
    /asciidoc/cpc/workspace.adoc
    • -0
    • +62
    /asciidoc/cpc/wtp.adoc
  1. … 267 more files in changeset.